Bug 200879 - NoClassDefFoundError: Could not initialize class org.netbeans.modules.android.core.sdk.DalvikPlatformManager
NoClassDefFoundError: Could not initialize class org.netbeans.modules.android...
Status: RESOLVED FIXED
Product: third-party
Classification: Unclassified
Component: -- Other --
7.0
All All
: P3 (vote)
: TBD
Assigned To: issues@third-party
issues@third-party
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 16:04 UTC by favalos_989
Modified: 2011-10-05 19:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.85 KB, text/plain)
2011-08-11 16:05 UTC, favalos_989
Details

Note You need to log in before you can comment on or make changes to this bug.
Description favalos_989 2011-08-11 16:04:59 UTC
Build: NetBeans IDE 7.0 (Build 201107282000)
VM: Java HotSpot(TM) Client VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Windows XP

User Comments:
GUEST: Tools --> Options --> Misc

GUEST: Tried to setup the android plugin sdk
Set the right value
Pressed OK




Stacktrace: 
java.lang.NoClassDefFoundError: Could not initialize class org.netbeans.modules.android.core.sdk.DalvikPlatformManager
   at org.netbeans.modules.android.core.ui.AndroidPlatformPanel.load(AndroidPlatformPanel.java:161)
   at org.netbeans.modules.android.core.ui.AndroidPlatformOptionsPanelController.update(AndroidPlatformOptionsPanelController.java:32)
   at org.netbeans.modules.options.advanced.Model$DelegatingController.update(Model.java:299)
   at org.netbeans.modules.options.advanced.Model.update(Model.java:182)
   at org.netbeans.modules.options.advanced.AdvancedPanel.update(AdvancedPanel.java:101)
   at org.netbeans.modules.options.advanced.AdvancedPanelController.update(AdvancedPanelController.java:73)
Comment 1 favalos_989 2011-08-11 16:05:04 UTC
Created attachment 109935 [details]
stacktrace
Comment 2 Jaroslav Tulach 2011-08-11 18:40:34 UTC
Exception in <cinit> of DalvikPlatform
Comment 3 _ rkubacki 2011-08-12 13:29:03 UTC
Thanks Jarda for sending this to me.

https://hg.kenai.com/hg/nbandroid~mercurial/rev/c7df0acc51d2

some comments on why this happened are in 
http://www.nbandroid.org/2011/08/bugfixes-pushed-continually.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo